# Generated by Django 2.1 on 2018-08-22 18:22

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Answer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(blank=True, max_length=255)),
                ('date', models.DateField(auto_now=True)),
                ('user', models.ForeignKey(help_text='who answered the question', on_delete=django.db.models.deletion.DO_NOTHING, to='app.MyUser')),
            ],
        ),
        migrations.CreateModel(
            name='Question',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(blank=True, max_length=255)),
                ('title', models.CharField(blank=True, max_length=255)),
                ('ether', models.FloatField(default=0)),
                ('expiration_date', models.DateField()),
                ('added_date', models.DateField(auto_now=True)),
                ('answer', models.ManyToManyField(blank=True, null=True, to='app.Answer')),
                ('user', models.ForeignKey(help_text='who asked a question', on_delete=django.db.models.deletion.DO_NOTHING, to='app.MyUser')),
            ],
        ),
        migrations.CreateModel(
            name='Rank',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rank', models.BooleanField(default=False, help_text='True is like and False is dislike')),
                ('date', models.DateField(auto_now=True)),
                ('answer', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='app.Answer')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='app.MyUser')),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='rank',
            unique_together={('user', 'answer')},
        ),
    ]
